commit:     341961c0211b1794aab55bdb06e71add506baac6
Author:     José María Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 16:42:54 2016 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 16:43:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=341961c0

x11-wm/stumpwm: Add contrib modules

 x11-wm/stumpwm/metadata.xml         | 48 +++++++++++++++++++++++++++++--------
 x11-wm/stumpwm/stumpwm-0.9.9.ebuild | 22 +++++++++++++----
 x11-wm/stumpwm/stumpwm-9999.ebuild  |  4 ++--
 3 files changed, 58 insertions(+), 16 deletions(-)

diff --git a/x11-wm/stumpwm/metadata.xml b/x11-wm/stumpwm/metadata.xml
index 55ce781..578e246 100644
--- a/x11-wm/stumpwm/metadata.xml
+++ b/x11-wm/stumpwm/metadata.xml
@@ -5,22 +5,50 @@
     <email>[email protected]</email>
     <name>Chema Alonso</name>
   </maintainer>
-  <longdescription>
-  Stumpwm is a tiling, keyboard driven X11 Window Manager written entirely in 
Common Lisp.
+  <longdescription lang="en">
+    Stumpwm is a tiling, keyboard driven X11 Window Manager written entirely in
+    Common Lisp.
 
-  If you're tired of flipping through themes like channel-surfing, and going 
from one perfect-except-for-just-one-thing
-  window manager to another even-more-broken-in-some-other-way then perhaps 
Stumpwm can help.
+    If you're tired of flipping through themes like channel-surfing, and going
+    from one perfect-except-for-just-one-thing window manager to another
+    even-more-broken-in-some-other-way then perhaps Stumpwm can help.
 
-  Stumpwm attempts to be customizable yet visually minimal. There are no 
window decorations, no icons, and no buttons.
-  It does have various hooks to attach your personal customizations, and 
variables to tweak.
+    Stumpwm attempts to be customizable yet visually minimal. There are no
+    window decorations, no icons, and no buttons.
+    It does have various hooks to attach your personal customizations, and
+    variables to tweak.
 
-    * Hack the good hack
-    * debug your good hack
-    * customize your window manager 
+      * Hack the good hack
+      * debug your good hack
+      * customize your window manager 
 
-  while it's running. That's right. With a 100% Common Lisp window manager 
there's no stopping the hacks. Just re-eval and GO!
+    while it's running. That's right. With a 100% Common Lisp window manager
+    there's no stopping the hacks. Just re-eval and GO!
+  </longdescription>
+  <longdescription lang="es">
+    Stumpwm es un gestor de ventanas estilo mosaico gestionado por teclado
+    escrito completamente en Common Lisp.
+
+       Si está cansado de cambiar de temas como navegación por canales y vagar
+       de un gestor de ventanas perfecto excepto por esa pequeña característica
+       a otro incluso más roto de alguna otra forma, entonces quizá Stumpwm
+       pueda ser de ayuda.
+
+       Stumpwm persigue ser personalizable a la vez que mínimo. No hay
+       decoración en las ventanas, ni iconos ni botones.
+       Dispone de varios enganches para realizar nuestras propias 
configuraciones
+       personales y variables que podemos ajustar a nuestras necesidades para:
+
+      * Cacharrear de forma correcta
+      * Depurar nuestro propio cacharreo
+         * Personalizar nuestro gestor de ventanas
+
+       mientras está corriendo. Eso está bien. Con un gestor de ventanas 
escrito
+       al 100% en Common Lisp no hay forma de detener el cacharreo. 
¡Simplemente
+       reevalúe y CONTINÚE!
   </longdescription>
   <use>
+    <flag name="contrib">Install contrib modules</flag>
     <flag name="doc">Include documentation</flag>
     <flag name="emacs">Add support for GNU Emacs</flag>
     <flag name="clisp">Use CLISP for the runtime</flag>

diff --git a/x11-wm/stumpwm/stumpwm-0.9.9.ebuild 
b/x11-wm/stumpwm/stumpwm-0.9.9.ebuild
index e275cdc..d7ebbcf 100644
--- a/x11-wm/stumpwm/stumpwm-0.9.9.ebuild
+++ b/x11-wm/stumpwm/stumpwm-0.9.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -6,14 +6,14 @@ EAPI=5
 
 inherit common-lisp-3 eutils elisp-common autotools
 
-DESCRIPTION="Stumpwm is a tiling, keyboard driven X11 Window Manager written 
entirely in Common Lisp."
+DESCRIPTION="Stumpwm is a Window Manager written entirely in Common Lisp."
 HOMEPAGE="http://www.nongnu.org/stumpwm/";
 SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="doc emacs clisp ecl +sbcl"
+IUSE="contrib doc emacs clisp ecl +sbcl"
 
 RESTRICT="strip mirror"
 
@@ -29,6 +29,7 @@ DEPEND="${RDEPEND}
                doc? ( virtual/texi2dvi )"
 
 SITEFILE=70${PN}-gentoo.el
+CONTRIBDIR="${CLSOURCEROOT}/${CLPACKAGE}/contrib"
 
 get_lisp() {
        local lisp
@@ -48,20 +49,32 @@ do_doc() {
        docinto examples ; dodoc sample-stumpwmrc.lisp
 }
 
+do_contrib() {
+       emake install-modules
+       rm -r "${D}${CONTRIBDIR}"/.git* || die
+}
+
 src_prepare() {
        # Upstream didn't change the version before packaging
        sed -i "${S}/${PN}.asd" -e 's/:version "0.9.8"/:version "0.9.9"/' || die
        # Bug 534592. Does not build with asdf:oos, using require to load the 
package
        sed -i "${S}/load-${PN}.lisp.in" -e "s/asdf:oos 'asdf:load-op/require/" 
|| die
+       if use contrib ; then
+               # Fix contrib directory
+               sed -i -e "s|@CONTRIB_DIR@|@MODULE_DIR@|" make-image.lisp.in || 
die
+               sed -i -e "s|\~\/.${CLPACKAGE}\.d/modules|${D}${CONTRIBDIR}|" 
Makefile.in || die
+               sed -i -e "s|\${HOME}/\.${CLPACKAGE}\.d/modules|${CONTRIBDIR}|" 
configure.ac || die
+       fi
        eautoreconf
 }
 
 src_configure() {
-       econf --with-lisp=$(get_lisp sbcl clisp ecl)
+       econf --with-lisp=$(get_lisp sbcl clisp ecl) 
--with-module-dir="${CLSOURCEROOT}/${CLPACKAGE}/contrib"
 }
 
 src_compile() {
        emake -j1
+       echo "HOLa"
 }
 
 src_install() {
@@ -72,6 +85,7 @@ src_install() {
        common-lisp-install-sources *.lisp
        common-lisp-install-asdf ${PN}.asd
        use doc && do_doc
+       use contrib && do_contrib
 }
 
 pkg_postinst() {

diff --git a/x11-wm/stumpwm/stumpwm-9999.ebuild 
b/x11-wm/stumpwm/stumpwm-9999.ebuild
index cf73b6f..5d604d9 100644
--- a/x11-wm/stumpwm/stumpwm-9999.ebuild
+++ b/x11-wm/stumpwm/stumpwm-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -6,7 +6,7 @@ EAPI=5
 
 inherit autotools common-lisp-3 git-2
 
-DESCRIPTION="Stumpwm is a tiling, keyboard driven X11 Window Manager written 
entirely in Common Lisp."
+DESCRIPTION="Stumpwm is a Window Manager written entirely in Common Lisp."
 HOMEPAGE="http://www.nongnu.org/stumpwm/index.html";
 EGIT_REPO_URI="git://github.com/stumpwm/stumpwm"
 

Reply via email to